Bug 8035 - Diamond stealth 3D problem
Diamond stealth 3D problem
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-12-28 21:15 EST by johnk
Modified: 2015-01-07 18:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-19 18:32:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description johnk 1999-12-28 21:15:20 EST
I'm writing to suggest changes in future RH installation programs.

During RH6.1 graphical install, the mouse cursor doesn't show up and
the screen has horizontal lines across it.  The graphical installation
sets up X to use the SVGA server even though the installation probing
finds S3 Virge chipset!   I've seen this problem since RH5.2.  See
below for my hardware/software setup.

Thanks
John


my hardware:

Digiview monitor HR-1708
m/n: LN-17E

Diamond Stealth 3D 3000
V2.02
S3Virge/VX


my XF86 config files (that work properly):

/etc/X11/X -> XF86_S3V


my XF86Config file:

# File generated by XConfigurator.

# **********************************************************************

# Refer to the XF86Config(4/5) man page for details about the format of
# this file.
# **********************************************************************

# **********************************************************************

# Files section.  This allows default font and rgb paths to be set
# **********************************************************************

Section "Files"

# The location of the RGB database.  Note, this is the name of the
# file minus the extension (like ".txt" or ".db").  There is normally
# no need to change the default.

    RgbPath "/usr/X11R6/lib/X11/rgb"

# Multiple FontPath entries are allowed (they are concatenated together)

#    FontPath   "/usr/X11R6/lib/X11/fonts/misc:unscaled"
#    FontPath   "/usr/X11R6/lib/X11/fonts/75dpi:unscaled"
#    FontPath   "/usr/X11R6/lib/X11/fonts/100dpi:unscaled"
#    FontPath   "/usr/share/fonts/default/TrueType"
#    FontPath   "/usr/share/fonts/default/URW"
#    FontPath   "/usr/X11R6/lib/X11/fonts/Type1"
#    FontPath   "/usr/X11R6/lib/X11/fonts/Speedo"
#    FontPath   "/usr/X11R6/lib/X11/fonts/75dpi"
#    FontPath   "/usr/X11R6/lib/X11/fonts/100dpi"

    FontPath   "unix/:-1"

EndSection

# **********************************************************************

# Server flags section.
# **********************************************************************

Section "ServerFlags"

    # Uncomment this to cause a core dump at the spot where a signal is
    # received.  This may leave the console in an unusable state, but
may
    # provide a better stack trace in the core dump to aid in debugging
    #NoTrapSignals

    # Uncomment this to disable the <Crtl><Alt><BS> server abort
sequence
    # This allows clients to receive this key event.
    #DontZap

    # Uncomment this to disable the <Crtl><Alt><KP_+>/<KP_-> mode
switching
    # sequences.  This allows clients to receive these key events.
    #DontZoom

EndSection

# **********************************************************************

# Input devices
# **********************************************************************

# **********************************************************************

# Keyboard section
# **********************************************************************

Section "Keyboard"

    Protocol    "Standard"

    # when using XQUEUE, comment out the above line, and uncomment the
    # following line
    #Protocol   "Xqueue"

    AutoRepeat  500 5

    # Let the server do the NumLock processing.  This should only be
    # required when using pre-R6 clients
    #ServerNumLock

    # Specify which keyboard LEDs can be user-controlled (eg, with
xset(1))
    #Xleds      1 2 3

    #To set the LeftAlt to Meta, RightAlt key to ModeShift,
    #RightCtl key to Compose, and ScrollLock key to ModeLock:

    LeftAlt        Meta
    RightAlt        Meta
   ScrollLock      Compose
   RightCtl        Control

# To disable the XKEYBOARD extension, uncomment XkbDisable.

#    XkbDisable

# To customise the XKB settings to suit your keyboard, modify the
# lines below (which are the defaults).  For example, for a non-U.S.
# keyboard, you will probably want to use:
#    XkbModel    "pc102"
# If you have a US Microsoft Natural keyboard, you can use:
#    XkbModel    "microsoft"
#
# Then to change the language, change the Layout setting.
# For example, a german layout can be obtained with:
#    XkbLayout   "de"
# or:
#    XkbLayout   "de"
#    XkbVariant  "nodeadkeys"
#
# If you'd like to switch the positions of your capslock and
# control keys, use:
#    XkbOptions  "ctrl:swapcaps"

# These are the default XKB settings for XFree86
#    XkbRules    "xfree86"
#    XkbModel    "pc101"
#    XkbLayout   "us"
#    XkbVariant  ""
#    XkbOptions  ""

   XkbKeycodes     "xfree86"
   XkbTypes        "default"
   XkbCompat       "default"
   XkbSymbols      "us(pc101)"
   XkbGeometry     "pc"
   XkbRules        "xfree86"
   XkbModel        "pc101"
    XkbLayout       "us"
EndSection

# **********************************************************************

# Pointer section
# **********************************************************************

Section "Pointer"
    Protocol    "Microsoft"
    Device      "/dev/mouse"
#didn't work    Device      "/dev/ttyS1"

# When using XQUEUE, comment out the above two lines, and uncomment
# the following line.

#    Protocol "Xqueue"

# Baudrate and SampleRate are only for some Logitech mice

#    BaudRate 9600
#    SampleRate 150

# Emulate3Buttons is an option for 2-button Microsoft mice
# Emulate3Timeout is the timeout in milliseconds (default is 50ms)

    Emulate3Buttons
    Emulate3Timeout    50

# ChordMiddle is an option for some 3-button Logitech mice

#    ChordMiddle

EndSection


# **********************************************************************

# Monitor section
# **********************************************************************

# Any number of monitor sections may be present

Section "Monitor"

    Identifier  "Generic Multisync"
    VendorName  "Unknown"
    ModelName   "Unknown"

# HorizSync is in kHz unless units are specified.
# HorizSync may be a comma separated list of discrete values, or a
# comma separated list of ranges of values.
# NOTE: THE VALUES HERE ARE EXAMPLES ONLY.  REFER TO YOUR MONITOR'S
# USER MANUAL FOR THE CORRECT NUMBERS.

    HorizSync   30-64

# VertRefresh is in Hz unless units are specified.
# VertRefresh may be a comma separated list of discrete values, or a
# comma separated list of ranges of values.
# NOTE: THE VALUES HERE ARE EXAMPLES ONLY.  REFER TO YOUR MONITOR'S
# USER MANUAL FOR THE CORRECT NUMBERS.

    VertRefresh 50-100

# Modes can be specified in two formats.  A compact one-line format, or
# a multi-line format.

# These two are equivalent

#    ModeLine "1024x768i" 45 1024 1048 1208 1264 768 776 784 817
Interlace

#    Mode "1024x768i"
#        DotClock 45
#        HTimings 1024 1048 1208 1264
#        VTimings 768 776 784 817
#        Flags  "Interlace"
#    EndMode

# This is a set of standard mode timings. Modes that are out of monitor
spec
# are automatically deleted by the server (provided the HorizSync and
# VertRefresh lines are correct), so there's no immediate need to
# delete mode timings (unless particular mode timings don't work on your

# monitor). With these modes, the best standard mode that your monitor
# and video card can support for a given resolution is automatically
# used.

# 640x400 @ 70 Hz, 31.5 kHz hsync
#Modeline "640x400"     25.175 640  664  760  800   400  409  411  450
# 640x480 @ 60 Hz, 31.5 kHz hsync
Modeline "640x480"     31.5 640  680  720  832   480  488  491  521
# 800x600 @ 56 Hz, 35.15 kHz hsync
ModeLine "800x600"     36     800  824  896 1024   600  601  603  625
# 1024x768 @ 87 Hz interlaced, 35.5 kHz hsync
#Modeline "1024x768"    44.9  1024 1048 1208 1264   768  776  784  817
Interlace

# 640x480 @ 72 Hz, 36.5 kHz hsync
Modeline "640x480"     31.5 640  680  720  832   480  488  491  521
# 800x600 @ 60 Hz, 37.8 kHz hsync
Modeline "800x600"     40     800  840  968 1056   600  601  605  628
+hsync +vsync

# 800x600 @ 72 Hz, 48.0 kHz hsync
#Modeline "800x600" 50 800  856  976 1040   600  637  643  666 +hsync
+vsync
#8-bit
#Modeline "800x600" 50 800 872 992 1040  600  637 643 666 +hsync +vsync
#32-bit
Modeline "800x600" 50 800 888 1008 1040  600  637 643 666 +hsync +vsync

# 1024x768 @ 60 Hz, 48.4 kHz hsync
Modeline "1024x768"    65    1024 1032 1176 1344   768  771  777  806
-hsync -vsync

# 1024x768 @ 70 Hz, 56.5 kHz hsync
Modeline "1024x768"    75    1024 1048 1184 1328   768  771  777  806
-hsync -vsync
# 1280x1024 @ 87 Hz interlaced, 51 kHz hsync
#Modeline "1280x1024"   80    1280 1296 1512 1568  1024 1025 1037 1165
Interlace

# 1024x768 @ 76 Hz, 62.5 kHz hsync
Modeline "1024x768"    85    1024 1032 1152 1360   768  784  787  823
# 1280x1024 @ 61 Hz, 64.2 kHz hsync
Modeline "1280x1024"  110    1280 1328 1512 1712  1024 1025 1028 1054

# 1280x1024 @ 74 Hz, 78.85 kHz hsync
Modeline "1280x1024"  135    1280 1312 1456 1712  1024 1027 1030 1064

# 1280x1024 @ 76 Hz, 81.13 kHz hsync
Modeline "1280x1024"  135    1280 1312 1416 1664  1024 1027 1030 1064

EndSection


# **********************************************************************

# Graphics device section
# **********************************************************************

# Any number of graphics device sections may be present

Section "Device"
    Identifier        "Generic VGA"
    VendorName        "Unknown"
    BoardName "Unknown"
    Chipset   "generic"

#    VideoRam 256

#    Clocks   25.2 28.3

EndSection

# Device configured by Xconfigurator:

Section "Device"
    Identifier  "My Video Card"
    VendorName  "Unknown"
    BoardName   "Unknown"
    #VideoRam    4096
     #Option "xaa_benchmark"
     #Option "fifo_moderate"
     #Option "pci_burst_on"
     #Option "pci_retry"
    # Insert Clocks lines here if appropriate
EndSection


# **********************************************************************

# Screen sections
# **********************************************************************

# The Colour SVGA server

Section "Screen"
    Driver      "svga"
    # Use Device "Generic VGA" for Standard VGA 320x200x256
    #Device      "Generic VGA"
    Device      "My Video Card"
    Monitor     "Generic Multisync"
    Subsection "Display"
        Depth       8
        # Omit the Modes line for the "Generic VGA" device
#        Modes       "640x480" "800x600" "1024x768"
        Modes       "800x600" "1024x768"
        ViewPort    0 0
        # Use Virtual 320 200 for Generic VGA
#        Virtual     1024 768
        Virtual     800 600
#        Virtual     640 480
    EndSubsection
    Subsection "Display"
        Depth       16
        Modes       "640x480" "800x600" "1024x768"
        ViewPort    0 0
        Virtual     1024 768
    EndSubsection
    Subsection "Display"
        Depth       32
        Modes       "640x480" "800x600" "1024x768"
        ViewPort    0 0
        Virtual     1024 768
    EndSubsection
EndSection

# The 16-color VGA server

Section "Screen"
    Driver      "vga16"
    Device      "Generic VGA"
    Monitor     "Generic Multisync"
    Subsection "Display"
        Modes       "640x480" "800x600"
        ViewPort    0 0
        Virtual     800 600
    EndSubsection
EndSection

# The Mono server

Section "Screen"
    Driver      "vga2"
    Device      "Generic VGA"
    Monitor     "Generic Multisync"
    Subsection "Display"
        Modes       "640x480" "800x600"
        ViewPort    0 0
        Virtual     800 600
    EndSubsection
EndSection

# The accelerated servers (S3, Mach32, Mach8, 8514, P9000, AGX, W32,
Mach64
# I128, and S3V)
Section "Screen"
    Driver      "accel"
    Device      "My Video Card"
    Monitor     "Generic Multisync"
    DefaultColorDepth 16
    Subsection "Display"
        Depth       8
        Modes       "800x600" "1024x768" "640x480"
        ViewPort    0 0
        Virtual     800 600
    EndSubsection
    Subsection "Display"
        Depth       16
        Modes       "800x600" "1024x768" "640x480"
        ViewPort    0 0
        Virtual     800 600
    EndSubsection
    Subsection "Display"
        Depth       24
        Modes       "800x600" "1024x768" "640x480"
        ViewPort     0 0
        Virtual     800 600
    EndSubsection
    Subsection "Display"
        Depth       32
        Modes       "800x600" "1024x768" "640x480"
        ViewPort     0 0
        Virtual     800 600
    EndSubsection
EndSection
Comment 1 Brock Organ 2000-05-09 16:38:59 EDT
could you provide the lspci output for your adapter...?

(ie for my machine:
[root@foobar dist]# lspci -n
00:0c.0 Class 0300: 5333:8a01 (rev 01)
[root@foobar dist]# lspci
00:0c.0 VGA compatible controller: S3 Inc. ViRGE/DX or /GX (rev 01)
[root@foobar dist]#

note: I just show the adapter info...)
Comment 2 Michael Fulbright 2000-09-19 18:32:37 EDT
Please try the pinstripe beta and see if this problem is resolved.

Note You need to log in before you can comment on or make changes to this bug.